Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/sites/$site/tags/slug:$tag |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID, The site domain |
| $tag | (string) | The tag slug |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| context | (string) |
|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| name | (string) | Name of the tag |
| description | (string) | A description of the tag |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| ID | (int) | The tag ID. |
| name | (string) | The name of the tag. |
| slug | (string) | The slug of the tag. |
| description | (string) | The description of the tag. |
| post_count | (int) | The number of posts using this t. |
| meta | (object) | Meta data |
Example
cURL
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'description=Kitties are awesome!' \ 'https://public-api.wordpress.com/rest/v1/sites/30434183/tags/slug:testing-tag'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' => http_build_query(
array (
'description' => 'Kitties are awesome!',
)
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/tags/slug:testing-tag',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"name": "testing tag",
"slug": "testing-tag",
"description": "Kitties are awesome!",
"post_count": 0,
"meta": {
"links": {
"self": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/tags\/testing-tag",
"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/tags\/testing-tag\/help",
"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183"
}
}
}